{*******************************************************
 * Demo1 application                                   *
 *                                                     *
 * This sample show how to use the AVLock Gold with    *
 * only one line of code.                              *
 *                                                     *
 *     Part of the AVLock Gold package                 *
 *     (c) Alcides Valega, 2002                        *
 *******************************************************}


unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls, jpeg, StdCtrls, shellapi, AVLockGold;

type
  TForm1 = class(TForm)
    MM1: TMainMenu;
    Module1: TMenuItem;
    Item111: TMenuItem;
    Item121: TMenuItem;
    Module2: TMenuItem;
    Item211: TMenuItem;
    Item221: TMenuItem;
    m1Opcin31: TMenuItem;
    Module3: TMenuItem;
    m3Opcin11: TMenuItem;
    m3Opcin21: TMenuItem;
    m3Opcin31: TMenuItem;
    Module4: TMenuItem;
    m4Opcin11: TMenuItem;
    m4Opcin21: TMenuItem;
    Archivos1: TMenuItem;
    Salir1: TMenuItem;
    Viewactiveusers1: TMenuItem;
    Register1: TMenuItem;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    LUserName: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    LCompany: TLabel;
    LLocalCompany: TLabel;
    LLocalName: TLabel;
    Label4: TLabel;
    Label7: TLabel;
    AVLockGold1: TAVLockGold;
    procedure FormCreate(Sender: TObject);
    procedure Item111Click(Sender: TObject);
    procedure Item121Click(Sender: TObject);
    procedure m1Opcin31Click(Sender: TObject);
    procedure Item211Click(Sender: TObject);
    procedure Item221Click(Sender: TObject);
    procedure m3Opcin11Click(Sender: TObject);
    procedure m3Opcin21Click(Sender: TObject);
    procedure m3Opcin31Click(Sender: TObject);
    procedure m4Opcin11Click(Sender: TObject);
    procedure m4Opcin21Click(Sender: TObject);
    procedure Salir1Click(Sender: TObject);
    procedure m5Option11Click(Sender: TObject);
    procedure m5Option21Click(Sender: TObject);
    procedure m6Option11Click(Sender: TObject);
    procedure m7Option11Click(Sender: TObject);
    procedure m8Option11Click(Sender: TObject);
    procedure Viewactiveusers1Click(Sender: TObject);
    procedure Register1Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
    procedure setmodules;
    procedure settext;
  public
    { Public declarations }
    procedure legend(m,i:integer);
  end;

var
  Form1: TForm1;
  txt  : string;

implementation
uses biosgold;
{$R *.DFM}


procedure TForm1.setmodules;
begin
  module1.visible := avlockgold1.moduleok(1);
  module2.visible := avlockgold1.moduleok(2);
  module3.visible := avlockgold1.moduleok(3);
  module4.visible := avlockgold1.moduleok(4);
end;

procedure TForm1.settext;
begin
  if avlockgold1.Registered then  txt:='Registered to : '
  else if avlockgold1.Authorized then txt:='Authorized to : '
  else  txt:='Trial period to : ';
  Label5.caption:=txt;
  LUserName.caption:=avlockgold1.RegUserName;
  LCompany.caption:=avlockgold1.Company;

  LLocalName.caption:=avlockgold1.LocalUserName;
  LLocalCompany.caption:=avlockgold1.LocalCompany;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  avlockgold1.execute; {this is the only line required}

  {optional lines}
  settext;
  setmodules;
end;


procedure TForm1.legend(m,i:integer);
begin
  showmessage('Module: '+inttostr(m)+'       Item: '+inttostr(i)+#13#10+
  '--------------------------------------------'+#13#10+
  txt+avlockgold1.RegUserName+#13+
  'Company        : '+avlockgold1.Company+#13+
  '--------------------------------------------'+#13#10+
  'Sample program using the AVLock component');
end;

procedure TForm1.Item111Click(Sender: TObject);
begin
  legend(1,1);
end;

procedure TForm1.Item121Click(Sender: TObject);
begin
  legend(1,2);
end;

procedure TForm1.m1Opcin31Click(Sender: TObject);
begin
  legend(1,3);
end;

procedure TForm1.Item211Click(Sender: TObject);
begin
  legend(2,1);
end;

procedure TForm1.Item221Click(Sender: TObject);
begin
  legend(2,2);
end;

procedure TForm1.m3Opcin11Click(Sender: TObject);
begin
  legend(3,1);
end;

procedure TForm1.m3Opcin21Click(Sender: TObject);
begin
  legend(3,2);
end;

procedure TForm1.m3Opcin31Click(Sender: TObject);
begin
  legend(3,3);
end;

procedure TForm1.m4Opcin11Click(Sender: TObject);
begin
  legend(4,1);
end;

procedure TForm1.m4Opcin21Click(Sender: TObject);
begin
  legend(4,2);
end;

procedure TForm1.m5Option11Click(Sender: TObject);
begin
  legend(5,1);
end;

procedure TForm1.m5Option21Click(Sender: TObject);
begin
  legend(5,2);
end;

procedure TForm1.m6Option11Click(Sender: TObject);
begin
  legend(6,1);
end;

procedure TForm1.m7Option11Click(Sender: TObject);
begin
  legend(7,1);
end;

procedure TForm1.m8Option11Click(Sender: TObject);
begin
  legend(8,1);
end;

procedure TForm1.Salir1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Viewactiveusers1Click(Sender: TObject);
var s:string;
    i:integer;
begin
  if (avlockgold1.MaxUsers=0) then begin
    showmessage('Not allowed when MaxUsers=0');
    exit;
  end;
  avlockgold1.Refresh;
  s:=txt+avlockgold1.RegUserName+#13+
     'Company        : '+avlockgold1.Company+#13
  +'----------------------------------------------------------'+#13
  +'There is active '+inttostr(avlockgold1.activeusers.count)+' of '+inttostr(avlockgold1.maxusers)+' allowed users'+#13
  +'----------------------------------------------------------'+#13;
  for i:=0 to avlockgold1.activeusers.count -1
  do s:=s+avlockgold1.activeusers[i]+#13;
  s:=s+'----------------------------------------------------------';
  showmessage(s);
end;

procedure TForm1.Register1Click(Sender: TObject);
begin
  if AVLockgold1.doexecute then setmodules;
  settext;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=172879&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=172880&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('http://www.avsoft.sitio.net'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

end.
